# $Revision: 1.23 $, $Date: 2002/08/17 08:20:38 $
# This file does not like to be adapterized!
%include        /usr/lib/rpm/macros.perl
%define sver	4
Summary:	Plugins for NetSaint
Summary(es):	Diversos plugins para NetSaint
Summary(pl):	Wtyczki dla programu NetSaint
Summary(pt_BR):	Diversos plugins para NetSaint
Name:		netsaint-plugins
Version:	1.2.9
Release:	5
License:	GPL
Group:		Networking
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/netsaintplug/%{name}-%{version}-%{sver}.tar.gz
Patch0:		%{name}-ping.patch
Patch1:		%{name}-ac_fix.patch
Patch2:		%{name}-segv.patch
URL:		http://netsaintplug.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	iputils-ping >= 1:ss020124
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	perl-Net-DNS
BuildRequires:	postgresql-devel
BuildRequires:	procps
BuildRequires:	rpm-perlprov
BuildRequires:	samba-client
BuildRequires:	ucd-snmp-utils
PreReq:		netsaint
Requires:	bind-utils
Requires:	fileutils
Requires:	iputils-ping >= 1:ss020124
Requires:	procps
Requires:	sh-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains many plugins for use with the NetSaint
monitoring program.

%description -l es
This package contains many plugins for use with the NetSaint
monitoring program.

%description -l pl
Ten pakiet zawiera wiele wtyczek wsppracujcych z programem
monitorujcym - NetSaint.

%description -l pt_BR
Este pacote contm divesos plugins para serem usados com o programa de
monitorao NetSaint.

%package mysql
Summary:	MySQL plugin for NetSaint
Summary(pl):	Wtyczka MySQL dla NetSainta
Group:		Networking

%description mysql
MySQL plugin for NetSaint.

%description mysql -l pl
Wtyczka MySQL dla NetSainta.

%package pgsql
Summary:	PostgreSQL plugin for NetSaint
Summary(pl):	Wtyczka PostgreSQL dla NetSainta
Group:		Networking

%description pgsql
PostgreSQL plugin for NetSaint.

%description pgsql -l pl
Wtyczka PostgreSQL dla NetSainta.

%package ldap
Summary:	LDAP plugin for NetSaint
Summary(pl):	Wtyczka LDAP dla NetSainta
Group:		Networking

%description ldap
LDAP plugin for NetSaint.

%description ldap -l pl
Wtyczka LDAP dla NetSainta.

%package extras
Summary:	Plugins for NetSaint that require third party software
Summary(pl):	Wtyczki, ktre wymagaj dodatkowych programw
Group:		Networking
Requires:	/usr/bin/ssh
Requires:	ucd-snmp-utils
Requires:	samba-client
Requires:	lm_sensors

%description extras
Plugins for NetSaint that require third party software.

%description extras -l pl
Wtyczki, ktre wymagaj dodatkowych programw.

%prep
%setup -q -n %{name}-%{version}-%{sver}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
aclocal
%{__autoconf}
%{__automake}
PATH_TO_DIG=/usr/bin/dig ; export PATH_TO_DIG
PATH_TO_NSLOOKUP=/usr/bin/nslookup ; export PATH_TO_NSLOOKUP
%configure \
	--with-posix-state-defs \
	--with-usr-package \
	--with-cgiurl=/netsaint/cgi-bin \
	--with-pgsql=%{_prefix} \
	--with-mysqllibdir=%{_prefix} \
	--with-df-command='/bin/df -Pk' \
	--with-ping_command='/bin/ping -n %%s -c %%d' \
	--exec-prefix=%{_sbindir} \
	--bindir=%{_sbindir} \
	--sbindir=%{_libdir}/netsaint/cgi \
	--libexecdir=%{_libdir}/netsaint/plugins \
	--datadir=%{_datadir}/netsaint \
	--sysconfdir=%{_sysconfdir}/netsaint \
	--localstatedir=%{_var}/log/netsaint

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/netsaint

install command.cfg	$RPM_BUILD_ROOT%{_sysconfdir}/netsaint

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%attr(640,root,netsaint) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/netsaint/*.cfg
%{_libdir}/netsaint/plugins/check_dig
%{_libdir}/netsaint/plugins/check_disk
%{_libdir}/netsaint/plugins/check_dns
%{_libdir}/netsaint/plugins/check_ftp
%{_libdir}/netsaint/plugins/check_hpjd
%{_libdir}/netsaint/plugins/check_http
%{_libdir}/netsaint/plugins/check_imap
%{_libdir}/netsaint/plugins/check_ircd
%{_libdir}/netsaint/plugins/check_load
%{_libdir}/netsaint/plugins/check_log
%{_libdir}/netsaint/plugins/check_mrtg*
%{_libdir}/netsaint/plugins/check_netdns
%{_libdir}/netsaint/plugins/check_netsaint
%{_libdir}/netsaint/plugins/check_nntp
%{_libdir}/netsaint/plugins/check_nt
%{_libdir}/netsaint/plugins/check_ntp
%{_libdir}/netsaint/plugins/check_nwstat
%{_libdir}/netsaint/plugins/check_oracle
%{_libdir}/netsaint/plugins/check_overcr
%{_libdir}/netsaint/plugins/check_ping
%{_libdir}/netsaint/plugins/check_pop
%{_libdir}/netsaint/plugins/check_procs
%{_libdir}/netsaint/plugins/check_real
%{_libdir}/netsaint/plugins/check_rpc
%{_libdir}/netsaint/plugins/check_smtp
%{_libdir}/netsaint/plugins/check_snmp
%{_libdir}/netsaint/plugins/check_ssh
%{_libdir}/netsaint/plugins/check_swap
%{_libdir}/netsaint/plugins/check_tcp
%{_libdir}/netsaint/plugins/check_time
%{_libdir}/netsaint/plugins/check_udp
%{_libdir}/netsaint/plugins/check_ups
%{_libdir}/netsaint/plugins/check_users
%{_libdir}/netsaint/plugins/check_vsz
%{_libdir}/netsaint/plugins/urlize
%{_libdir}/netsaint/plugins/utils*

%files extras
%defattr(755,root,root,755)
%{_libdir}/netsaint/plugins/check_breeze
%{_libdir}/netsaint/plugins/check_by_ssh
%{_libdir}/netsaint/plugins/check_disk_smb
%{_libdir}/netsaint/plugins/check_flexlm
%{_libdir}/netsaint/plugins/check_sensors
%{_libdir}/netsaint/plugins/check_wave

%files mysql
%defattr(755,root,root,755)
%{_libdir}/netsaint/plugins/check_mysql

%files pgsql
%defattr(755,root,root,755)
%{_libdir}/netsaint/plugins/check_pgsql

%files ldap
%defattr(755,root,root,755)
%{_libdir}/netsaint/plugins/check_ldap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netsaint-plugins.spec,v $
Revision 1.23  2002/08/17 08:20:38  qboosh
- updated ping path to /bin/ping, require recent iputils-ping
- release 5

Revision 1.22  2002/06/11 21:39:28  ankry
- don't (silently) BR bind-tools
- release 4, STBR

Revision 1.21  2002/06/06 10:31:24  qboosh
- added patch for SEGV; release 3, STBR

Revision 1.20  2002/05/21 23:14:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/05/15 08:42:43  kloczek
- added using %%cnfigure macro (added full regenerate ac/am files and added
  ac_fix pach).

Revision 1.18  2002/05/15 07:49:41  qboosh
- specify DF_COMMAND explicitly - now it shouldn't fail on build

Revision 1.17  2002/03/02 06:49:39  kloczek
- release 2.

Revision 1.16  2002/02/23 04:05:39  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/02 19:59:51  ankry
- removing more bogus ru/uk Group translations

Revision 1.13  2002/02/02 19:48:30  ankry
- removing bogus fr/ru/uk Group translations

Revision 1.12  2002/01/18 02:14:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/22 09:19:48  kloczek
- sort BuildRequires rules.

Revision 1.10  2001/12/19 13:53:42  qboosh
- base Prereq: netsaint (because of netsaint group)

Revision 1.9  2001/12/18 11:17:19  qboosh
- sorted translations

Revision 1.8  2001/12/18 11:10:24  qboosh
- changed Source URL to ftp

Revision 1.7  2001/12/17 16:04:20  qboosh
- pass ping_command to configure
- ping patch to add support for ping from iputils-ping-ss011002

Revision 1.6  2001/10/26 20:45:54  misiek
This file does not like to be adapterized\!

Revision 1.5  2001/10/26 20:15:02  misiek
- more BR

Revision 1.4  2001/10/26 19:27:06  misiek
- adapter.awk is stupid

Revision 1.3  2001/10/26 19:25:01  misiek
- more updates/fixes

Revision 1.2  2001/10/26 18:33:48  misiek
BR: perl-Net-DNS

Revision 1.1  2001/10/26 18:28:14  misiek
- initial pld release
